ru.yandex.clickhouse.util

## Class ClickHouseArrayUtil

- java.lang.Object
- - ru.yandex.clickhouse.util.ClickHouseArrayUtil

    public class ClickHouseArrayUtil
    extends Object

Author:
  Dmitry Andreev

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `arrayToString(Object object, TimeZone dateTimeZone, TimeZone dateTimeTimeZone)`
`static int` `getArrayLength(ByteFragment value)`
`static Object` `parseArray(ByteFragment value, boolean useObjects, TimeZone timeZone, ClickHouseColumnInfo columnInfo)`
`static Object` `parseArray(ByteFragment value, boolean useObjects, TimeZone timeZone, int arrayLevel, Class<?> elementClass, ClickHouseColumnInfo columnInfo)`
`static String` `toString(Collection<?> collection, TimeZone dateTimeZone, TimeZone dateTimeTimeZone)`
`static String` `toString(Object[] values, TimeZone dateTimeZone, TimeZone dateTimeTimeZone)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### arrayToString

    public static String arrayToString(Object object,
                                       TimeZone dateTimeZone,
                                       TimeZone dateTimeTimeZone)

Parameters:
  `object` - the object to convert to ClickHouse-string representation
  `dateTimeZone` - TimeZone to use when formatting date values
  `dateTimeTimeZone` - TimeZone to use when formatting datetime values
Returns:
  string representation of an object

#### toString

    public static String toString(Object[] values,
                                  TimeZone dateTimeZone,
                                  TimeZone dateTimeTimeZone)

#### toString

    public static String toString(Collection<?> collection,
                                  TimeZone dateTimeZone,
                                  TimeZone dateTimeTimeZone)

#### parseArray

    public static Object parseArray(ByteFragment value,
                                    boolean useObjects,
                                    TimeZone timeZone,
                                    int arrayLevel,
                                    Class<?> elementClass,
                                    ClickHouseColumnInfo columnInfo)
                             throws SQLException

Throws:
  `SQLException`

#### getArrayLength

    public static int getArrayLength(ByteFragment value)

#### parseArray

    public static Object parseArray(ByteFragment value,
                                    boolean useObjects,
                                    TimeZone timeZone,
                                    ClickHouseColumnInfo columnInfo)
                             throws SQLException

Throws:
  `SQLException`